Skip to content

getAvailableOnAccountCreditSources

READ

Get available on account credit sources.

POST /api/v1/invoicing/getAvailableOnAccountCreditSources
curl -X POST '<your-host>/api/v1/invoicing/getAvailableOnAccountCreditSources' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "party": "string",
    "currencyCode": "string"
  }'
Response
{
  "sources": [
    {
      "paymentId": "string",
      "postingDate": "string",
      "exchangeRate": 0,
      "remainingDocument": 0,
      "remainingBase": 0
    }
  ],
  "availableDocumentAmount": 0,
  "availableBaseAmount": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "party": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "paymentType": {
              "type": "string",
              "enum": [
                "Receipt"
              ]
            },
            "customerId": {
              "type": "string"
            }
          },
          "required": [
            "paymentType",
            "customerId"
          ]
        },
        {
          "type": "object",
          "properties": {
            "paymentType": {
              "type": "string",
              "enum": [
                "Disbursement"
              ]
            },
            "supplierId": {
              "type": "string"
            }
          },
          "required": [
            "paymentType",
            "supplierId"
          ]
        }
      ]
    },
    "currencyCode": {
      "type": "string"
    }
  },
  "required": [
    "party",
    "currencyCode"
  ]
}